package com.mx.cneeds.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mx.cneeds.server.entity.SysUserDeptEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 部门与角色映射表
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-16 11:22:10
 */
@Mapper
public interface SysUserDeptDao extends BaseMapper<SysUserDeptEntity> {
	/**
     * 根据角色ID数组，批量删除
     */
    int deleteBatch(Long[] roleIds);

    /**
     * 根据角色ID，获取部门ID列表
     */
    List<Long> queryDeptIdList(Long userId);

    /**
     * 根据角色ID，获取部门ID列表
     */
    List<Long> queryDeptId(Long userId);
}
