package com.mx.cneeds.common.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName UserDto
 * @Author zzrdark
 * @Date 2020-03-12 14:56
 * @Description TODO
 **/
@Data
public class UserDto implements Serializable {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;

    /**
     * 简介
     */
    private String remark;

    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机
     */
    private String mobile;
    /**
     * 账户状态 0：禁用   1：正常
     */
    private Integer status;
    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 用户模块Id
     */
    private List<Long> userFuncIdList;

    /**
     * 用户部门Id
     */
    private List<Long> userDeptIdList;

    /**
     * 模块权限名
     */
    private List<String> funcPerms;


    private Long roleId;
}
